using System.ComponentModel.DataAnnotations;
using System.Text.Json.Serialization;

namespace XPrintServer.Api.Dto
{

    public class VideoRequestInfo
    {
        /// <summary>
        /// 服务标识
        /// 取固定值: dressing_diffusionV2
        /// </summary>
        [JsonPropertyName("req_key")]
        public string ReqKey { get; set; } = "jimeng_vgfm_i2v_l20";


        [JsonPropertyName("image_urls")]
        public string[] ImageUrls { get; set; } = null!;


        /// <summary>
        /// 生成视频的的提示词，支持中英文，150字符以内，prompt书写参考上方描述，最好与输入图片内容匹配
        /// </summary>
        [JsonPropertyName("prompt")]
        [Required]
        [MaxLength(150)]
        public string Prompt { get; set; } = string.Empty;

        [JsonPropertyName("seed")]
        public int Seed { get; set; } = -1;

        [JsonPropertyName("aspect_ratio")]
        public string AspectRatio { get; set; } = "1:1";
    }
}
